Skip to main content
GET
Get pause controls
Read the current pause controls for a MicroVault.
MicroVaults are in private preview for enabled sandbox organizations on Ethereum Sepolia.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vaultId
string<uuid>
required

Ground identifier of the MicroVault. This is distinct from its onchain contract address.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
Example:

"8f4c52d7-62ab-4db9-a964-92f481f6b851"

Response

Current pause controls.

subscriptions
boolean

Whether new base-asset subscriptions are paused.

redemptions
boolean

Whether new instant and requested share redemptions are paused.

shareTransfers
boolean

Whether shareholders are prevented from transferring shares to another wallet.

sourceEntries
boolean

Whether the vault is prevented from moving base assets into yield sources.

sourceExits
boolean

Whether the vault is prevented from exiting yield-source positions.